package com.xunhong.erp.turbo.api.user.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum UserStateEnum {
	/**
	 * 用户状态 1:启用 2:禁用
	 */
	ENABLE(1, "启用"),
	DISABLE(2, "禁用"),
	;

	@EnumValue
	private final int type;

	private final String message;
}
